<div class="pl-2 pr-2">
  <div class="card">
    <div class="card-body">
      <div class="mb-3">
        <h3 class="page-head center"><span *ngIf="!editMode">Add</span><span *ngIf="editMode">Edit</span> new profile
        </h3>
      </div>
      <div class="alert alert-danger mb-2 center" *ngIf="errorMessage">
        {{errorMessage}}
      </div>
      <form class="form" [formGroup]="addProfileForm" (ngSubmit)="saveProfile(addProfileForm.value)">
        <div class="row">
          <div class="col-sm-4">
            <div class="mb-3">
              <label for="name" class="form-label star">Name</label>
              <input type="text" formControlName="name" class="form-control" id="name" placeholder="John" required>
            </div>
          </div>
          <div class="col-sm-4">
            <div class="mb-3">
              <label for="experience" class="form-label star">Experience</label>
              <select class="form-select" formControlName="experience" id="experience" required>
                <option value="" selected>Please select</option>
                <option value="2+ years">2+ years</option>
                <option value="3+ years">3+ years</option>
                <option value="4+ years">4+ years</option>
                <option value="5+ years">5+ years</option>
                <option value="6+ years">6+ years</option>
                <option value="7+ years">7+ years</option>
                <option value="8+ years">8+ years</option>
                <option value="9+ years">9+ years</option>
                <option value="10+ years">10+ years</option>
                <option value="11+ years">11+ years</option>
                <option value="12+ years">12+ years</option>
                <option value="13+ years">13+ years</option>
                <option value="14+ years">14+ years</option>
                <option value="15+ years">15+ years</option>
                <option value="16+ years">16+ years</option>
                <option value="17+ years">17+ years</option>
                <option value="18+ years">18+ years</option>
                <option value="19+ years">19+ years</option>
                <option value="20+ years">20+ years</option>
              </select>
            </div>
          </div>
          <div class="col-sm-4">
            <div class="mb-3">
              <label for="skillSet" class="form-label star">Skill Set</label>
              <select class="form-select" formControlName="skillSet" id="skillSet" required>
                <option value="" selected>Please select</option>
                <option value="Android">Android</option>
                <option value="Angular">Angular</option>
                <option value="APIGEE">APIGEE</option>
                <option value="Automation Tester">Automation Testing</option>
                <option value="Bigdata">Bigdata</option>
                <option value="DevOps">DevOps</option>
                <option value="Dot Net">Dot Net</option>
                <option value="Java">Java</option>
                <option value="Java Full stack">Java Full stack</option>
                <option value="IOS">iOS</option>
                <option value="Manual Tester">Manual Testing</option>
                <option value="Mobile Tester">Mobile Testing</option>
                <option value="Mainframe">Mainframe</option>
                <option value="Oracle DB Administrator">Oracle DB Administrator</option>
                <option value="Oracle DB Developer">Oracle DB Developer</option>
                <option value="Other">Other</option>
                <option value="React JS">React JS</option>
                <option value="UFT Automation">UFT Automation</option>
              </select>
            </div>
          </div>
<!--          <div class="col-sm-4">-->
<!--            <div class="mb-3">-->
<!--              <label for="currentCompany" class="form-label star">Current Company</label>-->
<!--              <input type="text" formControlName="currentCompany" class="form-control" id="currentCompany"-->
<!--                     placeholder="ABC Solutions">-->
<!--            </div>-->
<!--          </div>-->
<!--          <div class="col-sm-4">-->
<!--            <div class="mb-3">-->
<!--              <label for="noticePeriod" class="form-label star">Notice Period</label>-->
<!--              <select class="form-select" formControlName="noticePeriod" id="noticePeriod" >-->
<!--                <option value="" selected>Please select</option>-->
<!--                <option value="10 days">10 days</option>-->
<!--                <option value="15 days">15 days</option>-->
<!--                <option value="30 days">30 days</option>-->
<!--                <option value="45 days">45 days</option>-->
<!--                <option value="60 days">60 days</option>-->
<!--                <option value="70 days">70 days</option>-->
<!--                <option value="80 days">80 days</option>-->
<!--                <option value="90 days">90 days</option>-->
<!--              </select>-->
<!--            </div>-->
<!--          </div>-->
<!--          <div class="col-sm-4">-->
<!--            <div class="mb-3">-->
<!--              <label for="lastDate" class="form-label">Last Date</label>-->
<!--              <input type="text" formControlName="lastDate" class="form-control" id="lastDate" placeholder="12/12/2021">-->
<!--            </div>-->
<!--          </div>-->
          <div class="col-sm-4">
            <div class="mb-3">
              <label for="email" class="form-label star">Email</label>
              <input type="email" formControlName="email" class="form-control" id="email" placeholder="name@example.com"
                     required>
            </div>
          </div>
          <div class="col-sm-4">
            <div class="mb-3">
              <label for="contactNumber" class="form-label star">Contact Number</label>
              <input type="text" formControlName="contactNumber" class="form-control" id="contactNumber"
                     placeholder="+919176008807" required>
            </div>
          </div>
          <div class="col-sm-4">
            <div class="mb-3">
              <label for="alternateContactNumber" class="form-label">Whatsapp Number</label>
              <input type="text" formControlName="alternateContactNumber" class="form-control"
                     id="alternateContactNumber"
                     placeholder="+919176008807">
            </div>
          </div>
<!--          <div class="col-sm-4">-->
<!--            <div class="mb-3">-->
<!--              <label for="referralMethod" class="form-label star">Referral Method</label>-->
<!--              <select class="form-select" formControlName="referralMethod" id="referralMethod" >-->
<!--                <option value="" selected>Please select</option>-->
<!--                <option value="TCS Internal">TCS Internal</option>-->
<!--                <option value="LinkedIn">LinkedIn</option>-->
<!--                <option value="TAG">TAG</option>-->
<!--                <option value="Associate">Associate</option>-->
<!--              </select>-->
<!--            </div>-->
<!--          </div>-->
<!--          <div class="col-sm-4">-->
<!--            <div class="mb-3">-->
<!--              <label for="referredBy" class="form-label star">Referred By</label>-->
<!--              <input type="text" formControlName="referredBy" class="form-control" id="referredBy"-->
<!--                     placeholder="your name">-->
<!--            </div>-->
<!--          </div>-->
<!--          <div class="col-sm-4">-->
<!--            <div class="mb-3">-->
<!--              <label for="EPNumber" class="form-label">EP Number#</label>-->
<!--              <input type="text" formControlName="EPNumber" class="form-control" id="EPNumber"-->
<!--                     placeholder="EP2021IR564451">-->
<!--            </div>-->
<!--          </div>-->
          <div class="col-sm-4">
            <div class="mb-3">
              <label for="resume" class="form-label">Resume</label>
              <input type="file" (change)="fileChangeEvent($event)" formControlName="resumeFile" class="form-control"
                     id="resume">
            </div>
          </div>
          <div class="col-sm-4">
            <div class="mb-3">
              <label for="status" class="form-label star">Status</label>
              <select class="form-select" formControlName="status" name="status" id="status" >
                <option *ngFor="let st of statusList" [value]="st.value"
                        [selected]="st.value == addProfileForm.value.status">{{ st.value }}</option>
              </select>
            </div>
          </div>
          <div class="center">
            <button type="submit" class="btn btn-sm btn-primary hvr-shrink" [disabled]="addProfileForm.invalid">Save
              Profile
            </button>&nbsp;&nbsp;
            <button type="button" class="btn btn-sm btn-secondary hvr-shrink" (click)="goBack()">Cancel</button>&nbsp;&nbsp;
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
